From d717e8a1a01db4970b06deb700e27f1663105b75 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 29 2020 23:40:27 +0000
Subject: [PATCH 1867/2232] Suppress cast_possible_truncation lint in generated Hash shim


---

diff --git a/macro/src/expand.rs b/macro/src/expand.rs
index d71db6f..79d678b 100644
--- a/macro/src/expand.rs
+++ b/macro/src/expand.rs
@@ -259,6 +259,7 @@ fn expand_struct_operators(strct: &Struct) -> TokenStream {
                 operators.extend(quote_spanned! {span=>
                     #[doc(hidden)]
                     #[export_name = #link_name]
+                    #[allow(clippy::cast_possible_truncation)]
                     extern "C" fn #local_name(this: &#ident) -> usize {
                         let mut hasher = ::std::collections::hash_map::DefaultHasher::new();
                         ::std::hash::Hash::hash(this, &mut hasher);
diff --git a/tests/ffi/lib.rs b/tests/ffi/lib.rs
index 7d7ff9f..bbce6db 100644
--- a/tests/ffi/lib.rs
+++ b/tests/ffi/lib.rs
@@ -1,6 +1,5 @@
 #![allow(
     clippy::boxed_local,
-    clippy::cast_possible_truncation,
     clippy::just_underscores_and_digits,
     clippy::let_underscore_drop,
     clippy::must_use_candidate,

